DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DRTConceptualVolumeDerivationAlgorithmSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTConceptualVolumeDerivationAlgorithmSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor More...
| Item (const Item &copy)
| copy constructor More...
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator More...
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty More...
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item More...
OFCondition | read (DcmItem &item)
| read elements from sequence item More...
OFCondition | write (DcmItem &item)
| write elements to sequence item More...
OFCondition | getAlgorithmName (OFString &value, const signed long pos=0) const
| get AlgorithmName (0066,0036) More...
OFCondition | getAlgorithmParameters (OFString &value, const signed long pos=0) const
| get AlgorithmParameters (0066,0032) More...
OFCondition | getAlgorithmSource (OFString &value, const signed long pos=0) const
| get AlgorithmSource (0024,0202) More...
OFCondition | getAlgorithmVersion (OFString &value, const signed long pos=0) const
| get AlgorithmVersion (0066,0031) More...
DRTAlgorithmFamilyCodeSequence & | getAlgorithmFamilyCodeSequence ()
| get AlgorithmFamilyCodeSequence (0066,002f) More...
const DRTAlgorithmFamilyCodeSequence & | getAlgorithmFamilyCodeSequence () const
| get AlgorithmFamilyCodeSequence (0066,002f) More...
DRTAlgorithmNameCodeSequence & | getAlgorithmNameCodeSequence ()
| get AlgorithmNameCodeSequence (0066,0030) More...
const DRTAlgorithmNameCodeSequence & | getAlgorithmNameCodeSequence () const
| get AlgorithmNameCodeSequence (0066,0030) More...
OFCondition | setAlgorithmName (const OFString &value, const OFBool check=OFTrue)
| set AlgorithmName (0066,0036) More...
OFCondition | setAlgorithmParameters (const OFString &value, const OFBool check=OFTrue)
| set AlgorithmParameters (0066,0032) More...
OFCondition | setAlgorithmSource (const OFString &value, const OFBool check=OFTrue)
| set AlgorithmSource (0024,0202) More...
OFCondition | setAlgorithmVersion (const OFString &value, const OFBool check=OFTrue)
| set AlgorithmVersion (0066,0031) More...

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DRTAlgorithmFamilyCodeSequence | AlgorithmFamilyCodeSequence
| AlgorithmFamilyCodeSequence (0066,002f) vr=SQ, vm=1, type=1.
DcmLongString | AlgorithmName
| AlgorithmName (0066,0036) vr=LO, vm=1, type=1.
DRTAlgorithmNameCodeSequence | AlgorithmNameCodeSequence
| AlgorithmNameCodeSequence (0066,0030) vr=SQ, vm=1, type=3.
DcmLongText | AlgorithmParameters
| AlgorithmParameters (0066,0032) vr=LT, vm=1, type=3.
DcmLongString | AlgorithmSource
| AlgorithmSource (0024,0202) vr=LO, vm=1, type=3.
DcmLongString | AlgorithmVersion
| AlgorithmVersion (0066,0031) vr=LO, vm=1, type=1.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor. More...
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset. More...
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset More...
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element More...
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset More...
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset More...
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type More...
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type. More...
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type. More...

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTConceptualVolumeDerivationAlgorithmSequence::Item::Item | ( | const OFBool | emptyDefaultItem = `OFFalse` | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

## ◆ Item() [2/2]

DRTConceptualVolumeDerivationAlgorithmSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

## Member Function Documentation

## ◆ getAlgorithmFamilyCodeSequence() [1/2]

DRTAlgorithmFamilyCodeSequence& DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmFamilyCodeSequence | ( |  | ) |
| inline

get AlgorithmFamilyCodeSequence (0066,002f)

Returns
  reference to sequence element

## ◆ getAlgorithmFamilyCodeSequence() [2/2]

const DRTAlgorithmFamilyCodeSequence& DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmFamilyCodeSequence | ( |  | ) | const
| inline

get AlgorithmFamilyCodeSequence (0066,002f)

Returns
  const reference to sequence element

## ◆ getAlgorithmName()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmName | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlgorithmName (0066,0036)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlgorithmNameCodeSequence() [1/2]

DRTAlgorithmNameCodeSequence& DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmNameCodeSequence | ( |  | ) |
| inline

get AlgorithmNameCodeSequence (0066,0030)

Returns
  reference to sequence element

## ◆ getAlgorithmNameCodeSequence() [2/2]

const DRTAlgorithmNameCodeSequence& DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmNameCodeSequence | ( |  | ) | const
| inline

get AlgorithmNameCodeSequence (0066,0030)

Returns
  const reference to sequence element

## ◆ getAlgorithmParameters()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmParameters | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlgorithmParameters (0066,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlgorithmSource()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmSource | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlgorithmSource (0024,0202)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAlgorithmVersion()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::getAlgorithmVersion | ( | OFString & | value,
|  | const signed long | pos = `0`
| ) |  | const

get AlgorithmVersion (0066,0031)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTConceptualVolumeDerivationAlgorithmSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTConceptualVolumeDerivationAlgorithmSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item& DRTConceptualVolumeDerivationAlgorithmSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

## ◆ read()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlgorithmName()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::setAlgorithmName | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlgorithmName (0066,0036)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlgorithmParameters()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::setAlgorithmParameters | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlgorithmParameters (0066,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlgorithmSource()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::setAlgorithmSource | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlgorithmSource (0024,0202)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAlgorithmVersion()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::setAlgorithmVersion | ( | const OFString & | value,
|  | const OFBool | check = `OFTrue`
| ) |  |

set AlgorithmVersion (0066,0031)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTConceptualVolumeDerivationAlgorithmSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtcvdas.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1